Skip to main content
POST
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{parentUniqueId}
/
discovered-urls
/
status
/
poll
Poll Discovered URLs Status
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/status/poll \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "uniqueId": [
    "fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
    "c2847dcd-636c-4e7a-9217-593ccf2a7bb1"
  ]
}
'
{
  "success": true,
  "data": {
    "fb45bb1e-bc81-45a8-85be-36b2aa4f289e": "processed",
    "c2847dcd-636c-4e7a-9217-593ccf2a7bb1": "discovered"
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

parentUniqueId
string
required

Parent website crawl unique ID

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Body

application/json

Array of discovered URL unique IDs to query status for

uniqueId
string[]
required

Array of discovered URL unique IDs to query status for

Example:
[
"fb45bb1e-bc81-45a8-85be-36b2aa4f289e",
"c2847dcd-636c-4e7a-9217-593ccf2a7bb1"
]

Response

200 - application/json

Status for requested discovered URLs (omits non-existing uniqueIds)

The response is of type object.